# Gimp.file_load

    @accepts(Gimp.RunMode, Gio.File)
    @returns(Gimp.Image)
    def file_load(run_mode, file):
        # Python wrapper for gimp_file_load()

Loads an image file by invoking the right load handler.

This procedure invokes the correct file load handler using magic if possible, and falling back on the file's extension and/or prefix if not.

run_mode

  The run mode.

file

  The file to load.

Returns